# SolrDisMaxQuery::addUserField

(No version information available, might only be in Git)

SolrDisMaxQuery::addUserField — Adds a field to User Fields Parameter (uf)

### Descripción

public SolrDisMaxQuery::addUserField(string `$field`): SolrDisMaxQuery

Adds a field to The User Fields Parameter (uf)

### Parámetros

`field`

  Field Name

### Valores devueltos

SolrDisMaxQuery

### Ejemplos

Ejemplo #1 SolrDisMaxQuery::addUserField() example

`<?php
$dismaxQuery = new SolrDisMaxQuery('lucene');
$dismaxQuery
->addUserField('cat')
->addUserField('text')
->addUserField('*_dt');
echo $dismaxQuery.PHP_EOL;
?>`

El resultado del ejemplo sería algo similar a:

    q=lucene&defType=edismax&uf=cat text *_dt

### Ver también

- SolrDisMaxQuery::removeUserField() - Removes a field from The User Fields Parameter (uf)
- SolrDisMaxQuery::setUserFields() - Sets User Fields parameter (uf)